#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const inquirer_1 = __importDefault(require("inquirer"));
const prompt = inquirer_1.default.createPromptModule();
const initiateProject = async (routes, databases, authentication = "") => {
    const includeAuth = authentication == "" || authentication == "None" ? false : true;
    console.log(routes);
    console.log(databases);
    console.log(includeAuth);
    if (includeAuth) {
        console.log(authentication);
    }
};
async function main() {
    const results = await prompt([
        {
            type: "checkbox",
            name: "Which route types to add",
            choices: ["TRPC", "REST"],
        },
        {
            type: "checkbox",
            name: "Which database(/s) to add",
            choices: ["Postgres", "Mongo", "Redis"],
        },
    ]);
    const routes = results["Which route types to add"];
    const databases = results["Which database(/s) to add"];
    if (databases.includes("Mongo")) {
        const _res = await prompt([
            {
                type: "list",
                name: "Which authorization strategy to add",
                choices: ["None", "JWT Tokens", "Session Token"],
            },
        ]);
        const authentication = _res["Which authorization strategy to add"];
        await initiateProject(routes, databases, authentication);
    }
    else {
        await initiateProject(routes, databases);
    }
}
main();
//# sourceMappingURL=index.js.map